/* Слайдер для карточки товара 3 слайдовый */

input[name="r"] {
    display: none;
}

.slider {
    width: 24vw;
    height: 24vw;
    overflow: hidden;
    position: relative;
    margin-left: 4.5vw;
    margin-top: 4.6vw;
    border-radius: 1vw;
}

.slides {
    display: flex;
    width: 72vw; /* 380 * 3 слайда */
    height: 100%;
    transition: all 0.5s ease;
}

.slide {
    width: 24vw; /* размер 1 слайда */
    height: 100%;
    flex-shrink: 0;
    position: relative;
}

.slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 1vw;
}

.navigation {
    position: absolute;
    bottom: 1vw;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
}

.bar {
    height: 1vw;
    width: 3vw;
    margin: 6px;
    cursor: pointer;
    background-color: #ddd;
    opacity: 0.8;
    border-radius: 10vw;
    transition: all 0.3s ease;
}

.bar:hover {
    transform: scale(1.3);
}

/* Основная механика через margin-left при нажатии */

#r1:checked ~ .slides {
    margin-left: 0%;
}

#r2:checked ~ .slides {
    margin-left: -100%;
}

#r3:checked ~ .slides {
    margin-left: -200%;
}

@media screen and (max-width: 800px) {
    .slider,
    .slide {
        width: 74vw;
        height: 74vw;
        border-radius: 3vw;
    }

    .bar {
        width: 7vw;
        height: 7vw;
    }
}